Name:           python-aws-parallelcluster
Version:        3.13.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        AWS ParallelCluster is an AWS supported Open Source cluster management tool to deploy and manage HPC clusters in the AWS cloud.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/aws/aws-parallelcluster/blob/develop/CHANGELOG.md
Source:         %{pypi_source aws_parallelcluster}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'aws-parallelcluster' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-aws-parallelcluster
Summary:        %{summary}

%description -n python3-aws-parallelcluster %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-aws-parallelcluster awslambda


%prep
%autosetup -p1 -n aws_parallelcluster-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x awslambda


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-aws-parallelcluster -f %{pyproject_files}


%changelog
%autochangelog